<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@Page Language="VB"%>
<%@Register TagPrefix="ANet" TagName="Footer" Src="includes/footer.ascx"%>

<!-- 
# nome:             RepeatedValueBinding.aspx
# scritto da:       Antonio Volpon
# data creazione:   07 Novembre 2001
# ultima modifica:  07 Novembre 2001
# copyright:        Antonio Volpon
-->

<script language="vb" runat="server">

Sub Page_Load()

	'Databind con Arraylist
	
	Dim alLibri as New ArrayList(4)
	alLibri.Add("Cuore")
	alLibri.Add("Il giovane Holden")
	alLibri.Add("Farheneit 451")
	alLibri.Add("Cent'anni di solitudine")	

	libri.DataSource = alLibri
		
	'DataBind con HashTable
	
	Dim htProvince as New HashTable(12)
	
	htProvince.Add("Fi","Firenze")
	htProvince.Add("Mi","Milano")
	htProvince.Add("Pa","Palermo")
	htProvince.Add("Po","Prato")
	htProvince.Add("Rg","Ragusa")
	htProvince.Add("Ra","Ravenna")
	htProvince.Add("Ri","Rieti")
	htProvince.Add("Rn","Rimini")
	htProvince.Add("Rm","Roma")
	htProvince.Add("Ro","Rovigo")
	htProvince.Add("Tv","Treviso")
	htProvince.Add("Ve","Venezia")
	
	province.DataSource = htProvince
	province.DataTextField = "Value"
	province.DataValueField = "Key"
	
	Dim htAcquisti as New HashTable(4)
	
	htAcquisti.Add("Latte",1500)
	htAcquisti.Add("Burro",4000)
	htAcquisti.Add("Pane",2500)
	htAcquisti.Add("Pasta",2000)

	acquisti.DataSource = htAcquisti

	Dim slAlfabeto as New SortedList(5)
	
	slAlfabeto.Add("A","Arancia")
	slAlfabeto.Add("B","Bicchiere")
	slAlfabeto.Add("C","Cesto")
	slAlfabeto.Add("D","Dentifricio")
	slAlfabeto.Add("E","Elefante")
	slAlfabeto.Add("F","Fungo")
	slAlfabeto.Add("G","Giglio")
	slAlfabeto.Add("H","Hotel")

	alfabeto.DataSource = slAlfabeto

	Page.DataBind()

   	If Page.IsPostBack Then
		
		alfabeto.RepeatColumns = cint(numcolonne.SelectedItem.Value)
		
      	If Ori.Checked Then alfabeto.RepeatDirection = RepeatDirection.Horizontal
      	If Ver.Checked Then alfabeto.RepeatDirection = RepeatDirection.Vertical
	
	Else
	
		Ori.Checked = true
		numcolonne.Items(1).Selected = true
		
	End If	
	
End Sub

</script>

<html>
	<head>
		<link rel="stylesheet" href="css/aspnet.css" type="text/css">
		</link>
		<title>Repeated Value Binding</title>
	</head>
	
	<body>
		<div class="titolo">
			Repeated Value Binding
		</div>
		
		<hr noshade="true" size="1" width="100%">
		
		<center>
		
		<form runat="server">

		<div class="risposta">Con un Arraylist</div><br />
		
		<asp:DropDownList id="libri" runat="server" /><br /><br />
		
		<div class="risposta">Con un HastTable</div><br />
		
		<asp:RadioButtonList id="province" runat="server" /><br /><br />

		<hr noshade="true" size="1" width="100%">
				
		<asp:Repeater id="acquisti" runat="server">

          	<HeaderTemplate>
             	<table border="0" cellpadding="0" cellspacing="0">
                	<tr>
                   		<td width="100" bgcolor="#C0C0FF"><b>Bene</b></td>
                   		<td width="100" bgcolor="#C0C0FF"><b>Prezzo</b></td>
                	</tr>
          	</HeaderTemplate>
		
			<ItemTemplate> 
					<tr>
						<td width="100" bgcolor="#FFFFC0"><%# Container.DataItem.Key %></td>
						<td width="100" bgcolor="#FFFFC0"><%# DataBinder.Eval(Container.DataItem,"Value","{0:c}") %></td>
					</tr>
			</ItemTemplate>
			
			<AlternatingItemTemplate> 
					<tr>
						<td width="100" bgcolor="#C0C0C0"><%# DataBinder.Eval(Container.DataItem,"Key") %></td>
						<td width="100" bgcolor="#C0C0C0"><%# DataBinder.Eval(Container.DataItem,"Value","{0:c}") %></td>
					</tr>
			</AlternatingItemTemplate>
			
			<SeparatorTemplate>
					<tr>
						<td colspan="2" width="200" background="images/separatore.gif" height="17" bgcolor="#C0FFC0"><img src="images/space.gif" height="1"></td>
					</tr>
			</SeparatorTemplate>

          	<FooterTemplate>
            	</table>
          	</FooterTemplate>
			
		</asp:Repeater>

		<div class="risposta">Con un SortedList</div><br />

		<span class="txt">Numero di colonne:</span>
		
		<asp:RadioButtonList id="numcolonne" runat="server" AutoPostBack="true" cssClass="txt" RepeatDirection="Horizontal">
			<asp:ListItem Value="1">1</asp:ListItem>
			<asp:ListItem Value="2">2</asp:ListItem>
			<asp:ListItem Value="3">3</asp:ListItem>
		</asp:RadioButtonList>
		
		<span class="txt">Direzione:</span><br />
		
		<asp:RadioButton id="Ori" GroupName="Direzione" AutoPostback="True" runat="server" cssClass="txt" /><span class="txt">Orizzontale</class>
		<asp:RadioButton id="Ver" GroupName="Direzione" AutoPostback="True" runat="server" cssClass="txt" /><span class="txt">Verticale</class><br />
		  

		<asp:DataList id="alfabeto" RepeatTemplate="table" RepeatColumns="2" RepeatDirection="Horizontal" runat="server">
		
          	<HeaderTemplate>
          		<span class="txtb">L'alfabeto</span>
          	</HeaderTemplate>
		
			<ItemTemplate> 
				<span>
					<%# Container.DataItem.Key %> come <%# Container.DataItem.Value %>
				</span>
			</ItemTemplate>
			
			<ItemStyle BackColor="#cccccc"></ItemStyle>
			
	        <AlternatingItemStyle BackColor="#66ffcc"></AlternatingItemStyle>
			          	
		</asp:DataList>
		
		</form>
		
		</center>

        <ANet:Footer id="Menu" runat="server" />
		
	</body>
	
</html>