<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@Page Language="VB"%>
<%@Register TagPrefix="ANet" TagName="Footer" Src="includes/footer.ascx"%>

<!-- 
# nome:             SingleValueBinding.aspx
# scritto da:       Antonio Volpon
# data creazione:   06 Novembre 2001
# ultima modifica:  06 Novembre 2001
# copyright:        Antonio Volpon
-->

<script language="vb" runat="server">

ReadOnly Property UrlImmagine() As String
	Get
		Return "images/parigi.jpg"
	End Get
End Property

ReadOnly Property WidthImmagine() As Unit
	Get
		Return Unit.Pixel(200)
	End Get
End Property    


ReadOnly Property HeightImmagine() As Unit
	Get
		Return Unit.Pixel(291)
	End Get
End Property    

Sub Page_Load(sender as Object, e as EventArgs)

	DataBind()	
	
End Sub

Function Metodo(strParam) 
	Return "Hai scritto '" & strParam & "'"
End Function

</script>

<html>
	<head>
		<link rel="stylesheet" href="css/aspnet.css" type="text/css">
		</link>
		<title>Single Value Data Binding</title>
	</head>
	
	<body>
		<div class="titolo">
			Single Value Data Binding
		</div>
		
		<hr noshade="noshade" size="1" width="100%" />
		
		<center>
		
		<!-- SingleValue Data Binding come valore di una propriet -->	   
		
		<div class="risposta"> Proprieta': </div><br />
		
		<asp:Image id="immagine" runat="server" ImageUrl="<%# UrlImmagine %>" Width="<%# WidthImmagine %>" Height="<%# HeightImmagine %>" />
		
		<br /><br />
		
		<!-- SingleValue Data Binding come valore di ritorno di un metodo -->	   
		
		<div class="risposta"> Metodo: </div><br />
		
		<asp:label id="method" runat="server" text='<%# Metodo("Ciao") %>' class="txt" />
		
		<br /><br />
		
		<!-- SingleValue Data Binding come risultato di una espressione -->	   

		<div class="risposta"> Espressione: </div><br />
		
		<asp:label id="expression" runat="server" text="<%# (10+10) / 2 %>" class="txt" />
		
		<br /><br />
		
		<!-- SingleValue Data Binding come valore delle propriet di un controllo -->	   
		
		<div class="risposta"> Controllo: </div><br />
		
		<asp:label id="control" runat="server" text="<%# immagine.ID %>" class="txt"/>
		
		<br /><br />
		
		<input type="text" value="<%# immagine.ID %>">
		
		<br /><br />
		
		<form runat="server">

		<asp:DropDownList id="Colori" runat="server">
		  <asp:ListItem>Rosso</asp:ListItem>
		  <asp:ListItem>Verde</asp:ListItem>
		  <asp:ListItem>Giallo</asp:ListItem>
		  <asp:ListItem>Arancione</asp:ListItem>
		  <asp:ListItem>Celeste</asp:ListItem>
		  <asp:ListItem>Nero</asp:ListItem>
		  <asp:ListItem>Bianco</asp:ListItem>
		</asp:DropDownList>

		<input type="submit" value="Invia" runat="server">

		<p>

		Hai scelto il colore: <asp:label text='<%# Colori.SelectedItem.Text %>' runat="server" />

		</form>
		
		</center>

        <ANet:Footer id="Menu" runat="server" />

	</body>
	
</html>